ruby-luabridge_0.8.0-2_i386.deb


Advertisement

Description

ruby-luabridge - access Lua from Ruby

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename ruby-luabridge_0.8.0-2_i386.deb
Package name ruby-luabridge
Package version 0.8.0
Package release 2
Package architecture i386
Package type deb
Category ruby
Homepage -
License -
Maintainer Athena Capital Research <acr-debian@athenacr.com>
Download size 105.68 KB
Installed size 514.00 KB

Alternatives

Package Version Architecture Repository
ruby-luabridge_0.8.0-2+b1_amd64.deb 0.8.0 amd64 Debian Main
ruby-luabridge - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
liblua5.1-0 -
libruby2.5 >= 2.5.0~preview1
libstdc++6 >= 5
ruby >= 1:2.5~0
ruby << 1:2.6~

Provides

Name Value
libluabridge-ruby -
libluabridge-ruby1.8 -

Replaces

Name Value
libluabridge-ruby << 0.7.0-2
libluabridge-ruby1.8 << 0.7.0-2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-luabridge_0.8.0-2_i386.deb
Source Package rubyluabridge

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-luabridge deb package:
    # sudo apt-get install ruby-luabridge

Files

Path
/usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.5.0/rubyluabridge.so
/usr/share/doc-base/ruby-luabridge
/usr/share/doc/ruby-luabridge/README.gz
/usr/share/doc/ruby-luabridge/changelog.Debian.gz
/usr/share/doc/ruby-luabridge/copyright
/usr/share/doc/ruby-luabridge/html/LICENSE.html
/usr/share/doc/ruby-luabridge/html/LUA_IN_RUBY.html
/usr/share/doc/ruby-luabridge/html/Lua.html
/usr/share/doc/ruby-luabridge/html/LuaInRuby_Test.html
/usr/share/doc/ruby-luabridge/html/README.html
/usr/share/doc/ruby-luabridge/html/RUBY_IN_LUA.html
/usr/share/doc/ruby-luabridge/html/index.html
/usr/share/doc/ruby-luabridge/html/table_of_contents.html
/usr/share/doc/ruby-luabridge/html/Lua/RefObject.html
/usr/share/doc/ruby-luabridge/html/Lua/State.html
/usr/share/doc/ruby-luabridge/html/Lua/Table.html
/usr/share/doc/ruby-luabridge/html/css/fonts.css
/usr/share/doc/ruby-luabridge/html/css/rdoc.css
/usr/share/doc/ruby-luabridge/html/fonts/SourceCodePro-Bold.ttf
/usr/share/doc/ruby-luabridge/html/fonts/SourceCodePro-Regular.ttf
/usr/share/doc/ruby-luabridge/html/images/add.png
/usr/share/doc/ruby-luabridge/html/images/arrow_up.png
/usr/share/doc/ruby-luabridge/html/images/brick.png
/usr/share/doc/ruby-luabridge/html/images/brick_link.png
/usr/share/doc/ruby-luabridge/html/images/bug.png
/usr/share/doc/ruby-luabridge/html/images/bullet_black.png
/usr/share/doc/ruby-luabridge/html/images/bullet_toggle_minus.png
/usr/share/doc/ruby-luabridge/html/images/bullet_toggle_plus.png
/usr/share/doc/ruby-luabridge/html/images/date.png
/usr/share/doc/ruby-luabridge/html/images/delete.png
/usr/share/doc/ruby-luabridge/html/images/find.png
/usr/share/doc/ruby-luabridge/html/images/loadingAnimation.gif
/usr/share/doc/ruby-luabridge/html/images/macFFBgHack.png
/usr/share/doc/ruby-luabridge/html/images/package.png
/usr/share/doc/ruby-luabridge/html/images/page_green.png
/usr/share/doc/ruby-luabridge/html/images/page_white_text.png
/usr/share/doc/ruby-luabridge/html/images/page_white_width.png
/usr/share/doc/ruby-luabridge/html/images/plugin.png
/usr/share/doc/ruby-luabridge/html/images/ruby.png
/usr/share/doc/ruby-luabridge/html/images/tag_blue.png
/usr/share/doc/ruby-luabridge/html/images/tag_green.png
/usr/share/doc/ruby-luabridge/html/images/transparent.png
/usr/share/doc/ruby-luabridge/html/images/wrench.png
/usr/share/doc/ruby-luabridge/html/images/wrench_orange.png
/usr/share/doc/ruby-luabridge/html/images/zoom.png
/usr/share/doc/ruby-luabridge/html/js/darkfish.js
/usr/share/doc/ruby-luabridge/html/js/navigation.js
/usr/share/doc/ruby-luabridge/html/js/search.js
/usr/share/doc/ruby-luabridge/html/js/search_index.js
/usr/share/doc/ruby-luabridge/html/js/searcher.js
/usr/share/lintian/overrides/ruby-luabridge

Changelog

2019-08-26 - Roberto C. Sanchez <roberto@connexer.com>
rubyluabridge (0.8.0-2) unstable; urgency=medium
* Update Vcs-* URLs to point to 'debian' branch
* Remove broken homepage URL
* Update to Standards-Version 4.4.0 (no changes)
* Update to debhelper compatibility level 10
2014-09-29 - Roberto C. Sanchez <roberto@connexer.com>
rubyluabridge (0.8.0-1) unstable; urgency=low
* New upstream release
* Re-introduce package after removal from testing/unstable (Closes: #762191)
2013-07-20 - Roberto C. Sanchez <roberto@connexer.com>
rubyluabridge (0.7.0-3) unstable; urgency=low
* Version Breaks+Replaces for the package renaming (Closes: #717294)
* Document presence of MIT-licensed code (Closes: #717175)
2013-07-16 - Roberto C. Sanchez <roberto@connexer.com>
rubyluabridge (0.7.0-2) unstable; urgency=low
* Acknowledge NMU, thanks to Scott Kitterman
* Patch Rakefile to work with newer rake version (Closes: #713148)
* Rename libluabridge-ruby and libluabridge-ruby1.8 to ruby-luabridge
* Build arch:all only when binary-indep called
* Build with hardening options
* Update to Standards-Version 3.9.4 (no changes)
2012-07-10 - Scott Kitterman <scott@kitterman.com>
rubyluabridge (0.7.0-1.1) unstable; urgency=low
* Non-maintainer upload.
* Force build/extconf_ubuntu.sh to use ruby1.8 explicitly to fix FTBFS now
that ruby1.9.1 is default (Closes: #676076)
* Add g++-4.6 to build-depends since build system is hard coded to gcc 4.6
and needs g++ too
2010-06-13 - Roberto C. Sanchez <roberto@connexer.com>
rubyluabridge (0.7.0-1) unstable; urgency=low
* New upstream release
* Update watch file and add repack script
* Bump standards version to 3.8.4 (no changes)
* Add dependency on libboost-dev
* Add missing ${misc:Depends}
* Update to Debian source format 3.0
2009-08-27 - Roberto C. Sanchez <roberto@connexer.com>
rubyluabridge (0.6.0-4) unstable; urgency=low
* Update package section to ruby to comply with new archive layout.
* Bump standards version to 3.8.3 (no changes)
2008-10-11 - Roberto C. Sanchez <roberto@connexer.com>
rubyluabridge (0.6.0-3) unstable; urgency=medium
* Quit installing the shared library into /usr/lib/ruby/1.8/i486-linux
on non-x86 platforms
2008-07-17 - Roberto C. Sanchez <roberto@connexer.com>
rubyluabridge (0.6.0-2) unstable; urgency=high
* Bump Standards-Version to 3.8.0 (no changes).
* Change Build-Depends: libgems-ruby1.8 to rubygems1.8 (Closes: #490316)
- Fixes FTBFS, set urgency to high
2008-02-14 - Roberto C. Sanchez <roberto@connexer.com>
rubyluabridge (0.6.0-1) unstable; urgency=low
* Initial release (Closes: #462033)

See Also

Package Description
ruby-lumberjack_1.0.13-1_all.deb Lumberjack is a logging implementation in Ruby
ruby-mab_0.0.3-1_all.deb templating engine for writing HTML in pure Ruby
ruby-macaddr_1.7.1-2_all.deb library to read system mac address
ruby-magic_0.2.9-1_all.deb Ruby FFI bindings to libmagic
ruby-mail-gpg_0.4.2-1_all.deb GPG/MIME encryption plugin for the Ruby Mail Library
ruby-mail-room_0.9.1-2_all.deb Forward mail from gmail IMAP to a callback URL or job worker, simply
ruby-mail_2.7.1+dfsg1-1_all.deb Ruby library to handle email generation, parsing and sending
ruby-marcel_0.3.2-1_all.deb Simple mime type detection
ruby-marisa_0.2.5-3+b1_i386.deb Ruby bindings for MARISA
ruby-markdown-it-html5-embed_1.0.0+dfsg-2_all.deb Markdown-it plugin for embedding audio/video in the HTML5 way
ruby-markerb_1.1.0-3_all.deb multipart templates made easy with Markdown + ERb
ruby-maruku_0.7.3-1_all.deb Markdown-superset interpreter written in Ruby
ruby-mathml_0.14-4_all.deb TeX formula to MathML conversion library for Ruby
ruby-maven-libs_3.3.9+ds-1_all.deb Ruby library that provides access to a Maven installation
ruby-maxitest_3.1.0-2_all.deb Minitest + all the features you always wanted
Advertisement
Advertisement